TEMPLATE = app
TARGET = FsWisdom
unix { 
    target.path = /usr/bin
    INSTALLS += target
}
win32 { 
    target.path = "C:\Program files\FsWisdom"
    INSTALLS += target
}
QT += core \
    gui \
    opengl \
    sql \
    network
HEADERS += Updater_QButton_SFBoolPB.h \
    Updater_QButton_SFFloat.h \
    Updater_QProgressBar_PlaybackProgressBar.h \
    Updater_QRadioButton_HighlightType.h \
    Updater_QLabel_SFTranslation.h \
    Updater_QLabel_SFRotation.h \
    Updater_QLabel_MFInt32.h \
    Updater_QLabel_SFInt32.h \
    Updater_QLabel_SFVec3f.h \
    Updater_QButton_NextState.h \
    Updater_QButton_Playback.h \
    Updater_QButton_RemovePartitionByName.h \
    Updater_QButton_SaveAndExit.h \
    Updater_QButton_SFInt32_Drill_Elevator.h \
    Updater_QDial_SFInt32.h \
    Updater_QLabel_SFFloat.h \
    Updater_QSlider_SFFloat.h \
    Updater_QSlider_MaterialHardness.h \
    Updater_QTableWidget.h \
    RemoveWisdomToothWindow.h \
    QDebugStream.h \
    ProgressDialog.h \
    SelectCaseWindow.h \
    RegisterUserWindow.h \
    GlWindowNode.h \
    ApplicationNode.h \
    DatabaseHandler.h \
    Case.h \
    CaseList.h \
    LocalCaseList.h \
    ServerCaseList.h \
    ../quazip/crypt.h \
    ../quazip/ioapi.h \
    ../quazip/quazip.h \
    ../quazip/quazipfile.h \
    ../quazip/quazipfileinfo.h \
    ../quazip/quazipnewinfo.h \
    ../quazip/unzip.h \
    ../quazip/zip.h \
    VersionNo.h
INCLUDEPATH += /usr/local/boost_1_39_0
SOURCES += Updater_QButton_SFBoolPB.cpp \
    Updater_QButton_SFFloat.cpp \
    Updater_QProgressBar_PlaybackProgressBar.cpp \
    Updater_QRadioButton_HighlightType.cpp \
    Updater_QLabel_SFTranslation.cpp \
    Updater_QLabel_SFRotation.cpp \
    Updater_QLabel_MFInt32.cpp \
    Updater_QLabel_SFInt32.cpp \
    Updater_QLabel_SFVec3f.cpp \
    Updater_QButton_NextState.cpp \
    Updater_QButton_Playback.cpp \
    Updater_QButton_RemovePartitionByName.cpp \
    Updater_QButton_SaveAndExit.cpp \
    Updater_QButton_SFInt32_Drill_Elevator.cpp \
    Updater_QDial_SFInt32.cpp \
    Updater_QLabel_SFFloat.cpp \
    Updater_QSlider_SFFloat.cpp \
    Updater_QSlider_MaterialHardness.cpp \
    Updater_QTableWidget.cpp \
    RemoveWisdomToothWindow.cpp \
    ProgressDialog.cpp \
    SelectCaseWindow.cpp \
    RegisterUserWindow.cpp \
    GlWindowNode.cpp \
    main.cpp \
    ApplicationNode.cpp \
    DatabaseHandler.cpp \
    LocalCaseList.cpp \
    ServerCaseList.cpp \
    Case.cpp \
    ../quazip/ioapi.c \
    ../quazip/quazip.cpp \
    ../quazip/quazipfile.cpp \
    ../quazip/quazipnewinfo.cpp \
    ../quazip/unzip.c \
    ../quazip/zip.c
FORMS += RemoveWisdomToothWindow.ui \
    RegisterUserWindow.ui \
    SelectCaseWindow.ui \
    RegisterUserWindow.ui
RESOURCES += ApplicationNode.qrc
LIBS += -lH3DAPI \
    -lH3DUtil \
    -lHAPI \
    -lforssim \
    -lteem \
    -ldl
