/*
 * Updater_QButton_RemovePartitionByName.cpp
 *
 *  Created on: Feb 13, 2009
 *      Author: jockeka
 */

#include "Updater_QButton_RemovePartitionByName.h"

using namespace FS;

Updater_QButton_RemovePartitionByName::Updater_QButton_RemovePartitionByName(QPushButton* button, VolumeModel* volumeModel, string partitionName)
		{
			this->button = button;
			this->volumeModel = volumeModel;
			this->partitionName = partitionName;

			QObject::connect(button, SIGNAL(clicked()), this, SLOT(clicked()));
		}

Updater_QButton_RemovePartitionByName::~Updater_QButton_RemovePartitionByName()
{
	std::cout << "Destroying: Updater_QButton_Playback" << std::endl;
	QObject::disconnect(button, SIGNAL(clicked()));
}

void Updater_QButton_RemovePartitionByName::clicked()
		{
			volumeModel->removePartitionByName(partitionName);
		}
