/*
 * Updater_QButton_SaveAndExit.h
 *
 *  Created on: Feb 13, 2009
 *      Author: parhe
 */

#ifndef UPDATER_QBUTTON_SAVEANDEXIT_H_
#define UPDATER_QBUTTON_SAVEANDEXIT_H_

#include "ApplicationNode.h"
#include "../src/VolumeModel.h"

#include <H3D/X3D.h>

using namespace H3D;

/**
 *
 */
namespace FS
{
	class ApplicationNode;
	class Updater_QButton_SaveAndExit : public QObject
	{
	public:
	    Q_OBJECT

	public:
		Updater_QButton_SaveAndExit(ApplicationNode* applicationNode, QPushButton* button, VolumeModel* volumeModel);
		virtual ~Updater_QButton_SaveAndExit();

	public slots:
		void saveTimestamps();

	private:
		QPushButton* button;
		VolumeModel* volumeModel;
		ApplicationNode* applicationNode;
	};

}

#endif /* UPDATER_QBUTTON_SAVEANDEXIT_H_ */
