/**
 * Updater_QLabel_Float.cpp
 *
 *  Created on: Feb 12, 2009
 *      Author: barrygr
 */

#include "Updater_QLabel_SFFloat.h"

using namespace FS;

Updater_QLabel_SFFloat::Updater_QLabel_SFFloat(QLabel* label, SFFloat* fieldToRouteTo)
{
	// nothing to route to
	if(!fieldToRouteTo)
	{
		//Red background if route does not work
		label->setStyleSheet("background-color: rgb(255, 85, 127);");
		return;
	}

	this->label = label;
	this->fieldToRouteTo = fieldToRouteTo;
	this->setValue(fieldToRouteTo->getValue());
	fieldToRouteTo->route(this);
}

Updater_QLabel_SFFloat::~Updater_QLabel_SFFloat()
{
	std::cout << "Destroying: Updater_QLabel_SFFloat" << std::endl;
	this->unrouteAll();
}

void Updater_QLabel_SFFloat::update()
{
	SFFloat value = static_cast< SFFloat * >(routes_in[0])->getValue();
	label->setText(QString().setNum(value.getValue(),'f',4));
}

void Updater_QLabel_SFFloat::updateFieldRoutedTo(H3DFloat value)
{
	//fieldToRouteTo->setValue(value);
}


