/**
 * Updater_QLabel_Float.cpp
 *
 *  Created on: Feb 12, 2009
 *      Author: barrygr
 */

#include "Updater_QLabel_SFInt32.h"

using namespace FS;

Updater_QLabel_SFInt32::Updater_QLabel_SFInt32(QLabel* label, SFInt32* fieldToRouteTo)
{
	// nothing to route to
	if(!fieldToRouteTo)
	{
		//Red background if route does not work
		label->setStyleSheet("background-color: rgb(255, 85, 127);");
		return;
	}

	this->label = label;
	this->fieldToRouteTo = fieldToRouteTo;
	this->setValue(fieldToRouteTo->getValue());
	fieldToRouteTo->route(this);
}

Updater_QLabel_SFInt32::~Updater_QLabel_SFInt32()
{
	std::cout << "Destroying: Updater_QLabel_SFInt32" << std::endl;
	this->unrouteAll();
}

void Updater_QLabel_SFInt32::update()
{
	SFInt32 value = static_cast< SFInt32 * >(routes_in[0])->getValue();
	label->setText(QString().setNum(value.getValue()));
}

void Updater_QLabel_SFInt32::updateFieldRoutedTo(H3DInt32 value)
{
	//fieldToRouteTo->setValue(value);
}

