/**
 * Updater_QLabel_Int32.h
 *
 *  Created on: Feb 12, 2009
 *      Author: parhe
 */

#ifndef UPDATER_QLABEL_SFINT32_H_
#define UPDATER_QLABEL_SFINT32_H_

#include <QtGui>
#include <H3D/X3D.h>
#include <H3D/SFInt32.h>

using namespace H3D;

/**
 *
 */
namespace FS
{
class Updater_QLabel_SFInt32 : public QObject, public AutoUpdate< SFInt32 >
{
public:
	Q_OBJECT

public:

	Updater_QLabel_SFInt32(QLabel* label, SFInt32* fieldToRouteTo);
	virtual ~Updater_QLabel_SFInt32();
	virtual void update();

public slots:
	void updateFieldRoutedTo(H3DInt32 value);

private:
	QLabel* label;
	SFInt32* fieldToRouteTo;
};

}
#endif /* UPDATER_QLABEL_SFINT32_H_ */
