/*
 * Updater_QProgressBar_PlaybackProgressBar.h
 *
 *  Created on: Mars 30, 2009
 *      Author: jockeka
 */

#ifndef UPDATER_QPROGRESSBAR_PLAYBACKPROGRESSBAR_H_
#define UPDATER_QPROGRESSBAR_PLAYBACKPROGRESSBAR_H_


#include <QtGui>
#include "../src/AVolumePlaybackNode.h"
#include "../src/VolumeModel.h"
#include <H3D/X3D.h>

using namespace H3D;

/**
 *
 */
namespace FS
{
	class Updater_QProgressBar_PlaybackProgressBar : public QObject, public AutoUpdate< SFFloat >
	{
	public:
	    Q_OBJECT

	public:

		Updater_QProgressBar_PlaybackProgressBar(QProgressBar* bar, SFFloat* fieldToRouteTo, AVolumePlaybackNode* playbackNode, VolumeModel* volumeModel);
		virtual ~Updater_QProgressBar_PlaybackProgressBar();

		void update();
	public slots:

	private:
		QProgressBar* bar;
		SFFloat* fieldToRouteTo;
		double endTime;
		AVolumePlaybackNode* playbackNode;
		VolumeModel* volumeModel;
	};

}

#endif /* UPDATER_QPROGRESSBAR_PLAYBACKPROGRESSBAR_H_ */
