/**
 * Updater_QTableWidget.h
 *
 *  Created on: Feb 12, 2009
 *      Author: parhe
 */

#ifndef UPDATER_QTABLEWIDGET_H_
#define UPDATER_QTABLEWIDGET_H_

#include <QtGui>
#include <H3D/X3D.h>
#include <H3D/MFInt32.h>
#include "../src/DrillingStepsNode.h"

using namespace H3D;

/**
 *
 */
namespace FS
{
class Updater_QTableWidget : public QObject, public AutoUpdate< MFInt32 >
{
public:
	Q_OBJECT

public:

	Updater_QTableWidget(QTableWidget* table, MFInt32* fieldToRouteTo,MFInt32* noOfForbiddenVoxels, DrillingStepsNode  *drillingStepsNode);
	virtual void update();
	virtual ~Updater_QTableWidget();

private:
	MFInt32* noOfForbiddenVoxels;
	DrillingStepsNode *drillingStepsNode;
	QTableWidget* table;
	MFInt32* fieldToRouteTo;
};

}
#endif /* UPDATER_QTABLEWIDGET_H_ */
