#include "qth3dload.h"

#include <QtGui>
#include <QApplication>

#include "GlWindowNode.h"
#include "ApplicationNode.h"
#include "qth3dload.h"

using namespace H3D;
using namespace FS;

int main(int argc, char *argv[])
{
	ApplicationNode applicationNode(argc, argv);

	if(applicationNode.readyToExec())
	{
		try
		{
			return applicationNode.exec();
		}
		catch (const QuitAPIException &)
		{
		   Console(4) << "QuitAPIException" << endl;
		   return 1;
		}
		catch (const Exception::H3DException &e)
		{
			Console(4) << "Exception::H3DException:" << e << endl;
			return 1;
		}
	}
	else
		return 1;
}

