/*
 * Updater_QButton_NextState.cpp
 *
 *  Created on: Feb 13, 2009
 *      Author: parhe
 */

#include "Updater_QButton_NextState.h"

using namespace FS;

Updater_QButton_NextState::Updater_QButton_NextState(QPushButton* button, StateMachine* stateMachine)
{
	this->button = button;
	this->stateMachine = stateMachine;

	QObject::connect(button, SIGNAL(clicked()), this, SLOT(updateFieldRoutedTo()));
}

void Updater_QButton_NextState::updateFieldRoutedTo()
{

	stateMachine->nextState();
}

Updater_QButton_NextState::~Updater_QButton_NextState()
{
	std::cout << "Destroying: Updater_QButton_NextState" << std::endl;
	QObject::disconnect(button, SIGNAL(clicked()));
}

