/**
 * Updater_QLabel_Float.h
 *
 *  Created on: Feb 12, 2009
 *      Author: parhe
 */

#ifndef UPDATER_QLABEL_SFFLOAT_H_
#define UPDATER_QLABEL_SFFLOAT_H_

#include <QtGui>
#include <H3D/X3D.h>
#include <H3D/SFFloat.h>

using namespace H3D;

/**
 *
 */
namespace FS
{
class Updater_QLabel_SFFloat : public QObject, public AutoUpdate< SFFloat >
{
public:
	Q_OBJECT

public:

	Updater_QLabel_SFFloat(QLabel* label, SFFloat* fieldToRouteTo);
	virtual ~Updater_QLabel_SFFloat();
	virtual void update();

public slots:
	void updateFieldRoutedTo(H3DFloat value);

private:
	QLabel* label;
	SFFloat* fieldToRouteTo;
};

}
#endif /* UPDATER_QLABEL_SFFLOAT_H_ */
