/*
 * Updater_QRadioButton_HghlightType.h
 *
 *  Created on: Feb 13, 2009
 *      Author: parhe
 */

#ifndef UPDATER_QRADIOBUTTON_HIGHLIGHTTYPE_H_
#define UPDATER_QRADIOBUTTON_HIGHLIGHTTYPE_H_

#include <QtGui>
#include <H3D/X3D.h>
#include <H3D/SFString.h>


using namespace H3D;

/**
 *
 */
namespace FS
{
class Updater_QRadioButton_HighlightType : public QObject, public AutoUpdate< SFBool >
{
public:
	Q_OBJECT

public:

	Updater_QRadioButton_HighlightType(QRadioButton* radio, string type, SFString* highlightTypeField, SFBool* fieldToRouteTo)
	{
		this->radio = radio;
		this->type = type;
		this->highlightTypeField = highlightTypeField;
		this->fieldToRouteTo = fieldToRouteTo;
		this->setValue(fieldToRouteTo->getValue());

		this->route(fieldToRouteTo);
		fieldToRouteTo->route(this);
		cout<<"string is "<<type<<endl;
		QObject::connect(radio, SIGNAL(clicked(bool)), this, SLOT(updateFieldRoutedTo(bool)));
	}

	virtual ~Updater_QRadioButton_HighlightType(){
		cout<<"Destroying Updater_QRadioButton_HighlightType"<<endl;
		QObject::disconnect(radio, SIGNAL(clicked(bool)));
		this->unrouteAll();

	}

	virtual void update()
	{
	}
public slots:
inline void updateFieldRoutedTo(bool value)
{
		highlightTypeField->setValue(type);
		fieldToRouteTo->setValue(value);
}
private:
	QRadioButton* radio;
	SFBool* fieldToRouteTo;
	SFString* highlightTypeField;
	string type;
};

}

#endif /* UPDATER_QSLIDER_SFFLOAT_H_ */
