/**
 * Updater_QLabel_SFBool.h
 *
 *  Created on: May 5, 2009
 *      Author: barrygr
 */

#ifndef UPDATER_QRADIOBUTTON_SFBOOL_H_
#define UPDATER_QRADIOBUTTON_SFBOOL_H_

#include <QtGui>
#include <H3D/X3D.h>
#include <H3D/SFBool.h>

using namespace H3D;

/**
 *
 */
namespace FS
{
class Updater_QLabel_SFBool : public QObject, public AutoUpdate< SFBool >
{
public:
	Q_OBJECT

public:

	Updater_QLabel_SFBool(QRadioButton* label, SFBool* fieldToRouteTo);
	virtual ~Updater_QLabel_SFBool();
	virtual void update();

public slots:
	void updateFieldRoutedTo(H3DBool value);

private:
	QRadioButton* radioButton;
	SFBool* fieldToRouteTo;
};

}
#endif /* UPDATER_QRADIOBUTTON_SFBOOL_H_ */
