/*
 * Updater_QSlider_MaterialHardness.h
 *
 *  Created on: April 2, 2009
 *      Author: jockeka
 */

#ifndef UPDATER_QSLIDER_MATERIALHARDNESS_H_
#define UPDATER_QSLIDER_MATERIALHARDNESS_H_

#define MAX_HARDNESS 3


#include <QtGui>
#include "../src/MaterialSegmentationModel.h"
#include <H3D/X3D.h>
#include "ui_RemoveWisdomToothWindow.h"

using namespace H3D;

/**
 *
 */
namespace FS
{
	class Updater_QSlider_MaterialHardness : public QObject, public AutoUpdate< MFFloat >
	{
	public:
	    Q_OBJECT

	public:

		Updater_QSlider_MaterialHardness(Ui::RemoveWisdomToothWindowClass ui, MaterialSegmentationModel* model, MFFloat* fieldToRouteTo);
		virtual ~Updater_QSlider_MaterialHardness();

		virtual void update();

	public slots:
		void setHardness(int value);
		void nextMaterial();

	private:
		Ui::RemoveWisdomToothWindowClass ui;
		MFFloat* fieldToRouteTo;
		MaterialSegmentationModel* model;
		unsigned int currentSegId;
	};
}

#endif /* UPDATER_QSLIDER_SFFLOAT_H_ */
