
from Route import * 

class InputDispatcher:
  di = dict()
  def __init__(self, arg):
    if InputDispatcher.di.has_key(arg):
      raise Exception("Duplicated argument:"+arg)
    else:
      self.tmparg = arg
  
  def __call__(self, func):
    if hasattr(self, 'tmparg'):
      InputDispatcher.di[self.tmparg] = func
 
  @classmethod
  def dispatch(cls, inpu):
    if inpu=='':
      return
    if InputDispatcher.di.has_key(inpu):
      return InputDispatcher.di[inpu]()
    else:
      raise Exception("No registred reciver for:"+inpu)

@InputDispatcher(' ')
def doRightPedal():
    if drillSpeedField.getValue()>0.0: 
      drillSpeedField.setValue(0)
      vibrationField.setValue(0)	
    else:          	
      if deviceShapeField.getValue()==0:
        drillSpeedField.setValue(drillSpeedMaxField.getValue())
        vibrationField.setValue(1)
      else:
        drillSpeedField.setValue(0)
        vibrationField.setValue(0)	
	
   

@InputDispatcher('h')
def doLeftPedal():
    if deviceShapeField.getValue()==1:
      drillSpeedField.setValue(0)
      vibrationField.setValue(0)
      deviceShapeField.setValue(0)	
    else:          	
      drillSpeedField.setValue(0)
      vibrationField.setValue(0)	
      deviceShapeField.setValue(1)	

