#
#     Use with following in x3d file:
#     <PythonScript url="fps.py" DEF="FPSScript" />
#     <ROUTE fromNode="FPSScript" fromField="currentFPS toNode="" toField="" />
#     <ROUTE fromNode="FPSScript" fromField="currentHPS toNode="" toField="" />
#
#  (C) Forsslund Systems 2009
#
#
#

from H3DInterface import *

currentFPS = SFFloat(0.0)
currentHPS = SFFloat(0.0)
ptime = time.getValue()
frameCount = 0

def traverseSG():
  global currentFPS
  global currentHPS
  global ptime
  global frameCount 

  frameCount += 1
  dt = time.getValue() - ptime

  if dt > 1.0:
    currentFPS.setValue(frameCount/dt)
    ptime = time.getValue()
    frameCount=0
   
    #print "FPS: ", currentFPS.getValue()


  
  

